package ml2java.util;

public class Value<A> {

	final A a;
	
	Value(A a) {
		this.a = a;
	}

	public static <A> Value<A> Value(A a) {
		return new Value<A>(a);
	}

	public <B> B bind(Function1<A, B> f1) {
		return f1.apply(a);
	}

}
